> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigmodel.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 音色列表

> 获取音色列表，支持按音色名称模糊搜索、按音色类型过滤。点击 **Try it** 按钮可快速试用。



## OpenAPI

````yaml /openapi/openapi.json get /paas/v4/voice/list
openapi: 3.0.1
info:
  title: ZHIPU AI API
  description: ZHIPU AI 接口提供强大的 AI 能力，包括聊天对话、工具调用和视频生成。
  license:
    name: ZHIPU AI 开发者协议和政策
    url: https://chat.z.ai/legal-agreement/terms-of-service
  version: 1.0.0
  contact:
    name: Z.AI 开发者
    url: https://chat.z.ai/legal-agreement/privacy-policy
    email: user_feedback@z.ai
servers:
  - url: https://open.bigmodel.cn/api/
    description: 开放平台服务
security:
  - bearerAuth: []
tags:
  - name: 模型 API
    description: Chat API
  - name: 工具 API
    description: Web Search API
  - name: Agent API
    description: Agent API
  - name: 文件 API
    description: File API
  - name: 知识库 API
    description: Knowledge API
  - name: 实时 API
    description: Realtime API
  - name: 批处理 API
    description: Batch API
  - name: 助理 API
    description: Assistant API
  - name: 智能体 API（旧）
    description: QingLiu Agent API
paths:
  /paas/v4/voice/list:
    get:
      tags:
        - 模型 API
      summary: 音色列表
      description: 获取音色列表，支持按音色名称模糊搜索、按音色类型过滤。点击 **Try it** 按钮可快速试用。
      parameters:
        - name: voiceName
          in: query
          description: 音色名称, 如果传入中文, 需要 url encode
          schema:
            type: string
          required: false
        - name: voiceType
          in: query
          description: 音色类型
          schema:
            type: string
            enum:
              - PRIVATE
              - OFFICIAL
          required: false
      responses:
        '200':
          description: 业务处理成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceListResponse'
        default:
          description: 请求失败。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    VoiceListResponse:
      type: object
      properties:
        voice_list:
          type: array
          items:
            $ref: '#/components/schemas/VoiceVO'
          description: 音色列表
    Error:
      type: object
      properties:
        error:
          required:
            - code
            - message
          type: object
          properties:
            code:
              type: string
            message:
              type: string
    VoiceVO:
      type: object
      properties:
        voice:
          type: string
          description: 音色
          example: voice_clone_20240315_143052_001
        voice_name:
          type: string
          description: 音色名称
          example: my_custom_voice_001
        voice_type:
          type: string
          description: 音色类型，OFFICIAL为官方音色，PRIVATE为自定义音色
          example: PRIVATE
        download_url:
          type: string
          description: 试听音频的下载链接
          example: https://example.com/voice_clone_20240315_143052_001.mp3
        create_time:
          type: string
          description: 创建时间
          example: '2024-03-15 14:30:52'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        标准的 HTTP Bearer 认证方式，在 [API
        Keys](https://bigmodel.cn/usercenter/proj-mgmt/apikeys) 页面获取密钥。

````